summaryrefslogtreecommitdiff
path: root/tests/spencer1-locale
diff options
context:
space:
mode:
Diffstat (limited to 'tests/spencer1-locale')
-rwxr-xr-xtests/spencer1-locale23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/spencer1-locale b/tests/spencer1-locale
new file mode 100755
index 0000000..3f202d8
--- /dev/null
+++ b/tests/spencer1-locale
@@ -0,0 +1,23 @@
+#! /bin/sh
+# Regression test for GNU grep.
+#
+# Copyright (C) 1988 Henry Spencer.
+# Copyright (C) 2009-2016 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+# . . . and the following by Henry Spencer.
+
+${AWK-awk} -v extra_locale=$LOCALE_FR_UTF8 \
+ -f "$abs_srcdir/spencer1-locale.awk" "$abs_srcdir/spencer1.tests" \
+ > spencer1-locale.script || fail=1
+
+${re_shell-${SHELL-sh}} spencer1-locale.script || fail=1
+
+Exit $fail